<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

 
 

	
$category = $_POST['category'];
$cena = $_POST['cena'];
$title = $_POST['title'];
$cratkaya = $_POST['cratkaya'];
$polnaya = $_POST['polnaya'];

if (isset($_POST["title"]))
{
if ( floatval( $_POST['cena']) <= 0) {

}else{

echo'Не верная сумма';

}

$time = time();

$pdo->Query("INSERT INTO `php_tovar` VALUES('', '" . $_SESSION['id'] . "', '$time', '$category', '$cena', '$title', '$cratkaya', '$polnaya', '4', '0', '0', '$time','')");

echo "<br /><div align='center'><font color='green'>Товар успешно добавлен.</font></div>";
?><script>  setTimeout( "location='/my';", 3000 ); </script><?

exit();



 }

?>
<div class="big_topics bor_top round3 FFF hr">
      
       <div class="wrap_user_r">
       <div class="top_games_small">Новый товар:</div>
<div class="infotext">Уважаемый пользователь! Если товар превышает 20мб старайтесь загружать архив на ядиск или облако майл. И в архиве при загрузке на проекте I-ESHOP, указывать просто ссылку на скачивание!</div>
         <form method="POST" style="margin-left:10px;">
         <div class="padd10"></div><div class="top_games_mini">Категория:</div><select name="category" class="ii round3" style="width:99% !important;">
		 <option value="1" selected="">Скрипты</option>
		 <option value="2" selected="">Лендинги</option>
		 <option value="3" selected="">Шаблоны</option>
		 <option value="4" selected="">Инфотовары</option>
		 <option value="5" selected="">Модули и плагины</option>
		 <option value="6" selected="">Разное</option>
		 </select>
 <div class="padd10"></div><div class="top_games_mini">Цена <i class="fa fa-rouble"></i></div><input type="text" name="cena" class="ii round3" placeholder="Цена в рублях" />
 <div class="padd10"></div><div class="top_games_mini">Название:</div><input type="text" name="title" class="ii round3" placeholder="Название" />
 <div class="padd10"></div><div class="top_games_mini">Краткое название:</div><textarea name="cratkaya" rows="7" style="width:97% !important; padding: 10px 5px; height: 50px; resize: vertical; background:#f7f7f7; border: solid 1px #DDD;" placeholder="Краткое описание" class="round3"></textarea>
 <div class="padd10"></div><div class="top_games_mini">Полное описание:</div><textarea name="polnaya" rows="7" style="width:97% !important; padding: 10px 5px; resize: vertical; background:#f7f7f7; border: solid 1px #DDD;" placeholder="Полное описание" class="round3"></textarea>
 <div class="padd10"></div> <a href="javascript:history.go(-1)" class="fb round3" style="padding: 8px 10px;float: left;margin-right: 5px;border-bottom: 1px solid #39A901;">Назад</a><input type="submit" value="Отправить" class="fb round3" style="padding: 10px 25px 10px 25px;width: 120px;float: left;" /></form>



       </div>

 </div>

<?}?>